ActiveDirectory (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.ActiveDirectory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys
Interface ActiveDirectory

All Superinterfaces:
  ConfigurationItem, LDAPService, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Service

    public interface ActiveDirectory

extends LDAPService

Represents a Microsoft Active Directory server.

Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Service
`IBM_COPYRIGHT`

Method Summary
`int` | `getInitRecvTimeout()`
`int` | `getMaxConnections()`
`int` | `getMaxConnIdleTime()`
`int` | `getMaxDatagramRecv()`
`int` | `getMaxNotificationPerConn()`
`int` | `getMaxPageSize()`
`int` | `getMaxPoolThreads()`
`int` | `getMaxQueryDuration()`
`int` | `getMaxReceiveBuffer()`
`int` | `getMaxResultSetSize()`
`int` | `getMaxTempTableSize()`
`int` | `getMaxValRange()`
`NamingContext[]` | `getNamingContexts()`
`java.lang.String` | `getRootDomain()`
`int` | `getSchemaVersion()`
`java.lang.String` | `getServiceXML()`
`java.lang.String` | `getWorkingDirectory()`
`boolean` | `hasInitRecvTimeout()`
`boolean` | `hasMaxConnections()`
`boolean` | `hasMaxConnIdleTime()`
`boolean` | `hasMaxDatagramRecv()`
`boolean` | `hasMaxNotificationPerConn()`
`boolean` | `hasMaxPageSize()`
`boolean` | `hasMaxPoolThreads()`
`boolean` | `hasMaxQueryDuration()`
`boolean` | `hasMaxReceiveBuffer()`
`boolean` | `hasMaxResultSetSize()`
`boolean` | `hasMaxTempTableSize()`
`boolean` | `hasMaxValRange()`
`boolean` | `hasNamingContexts()`
`boolean` | `hasRootDomain()`
`boolean` | `hasSchemaVersion()`
`boolean` | `hasServiceXML()`
`boolean` | `hasWorkingDirectory()`
`void` | `setInitRecvTimeout(int initRecvTimeout)`
`void` | `setMaxConnections(int maxConnections)`
`void` | `setMaxConnIdleTime(int maxConnIdleTime)`
`void` | `setMaxDatagramRecv(int maxDatagramRecv)`
`void` | `setMaxNotificationPerConn(int maxNotificationPerConn)`
`void` | `setMaxPageSize(int maxPageSize)`
`void` | `setMaxPoolThreads(int maxPoolThreads)`
`void` | `setMaxQueryDuration(int maxQueryDuration)`
`void` | `setMaxReceiveBuffer(int maxReceiveBuffer)`
`void` | `setMaxResultSetSize(int maxResultSetSize)`
`void` | `setMaxTempTableSize(int maxTempTableSize)`
`void` | `setMaxValRange(int maxValRange)`
`void` | `setNamingContexts(NamingContext[] rootDomain)`
`void` | `setRootDomain(java.lang.String rootDomain)`
`void` | `setSchemaVersion(int schemaVersion)`
`void` | `setServiceXML(java.lang.String serviceXML)`
`void` | `setWorkingDirectory(java.lang.String workingDirectory)`

Methods inherited from interface com.collation.platform.model.topology.sys.LDAPService
`getLDAPVersion, getThreads, getTotalConnections, hasLDAPVersion, hasThreads, hasTotalConnections, setLDAPVersion, setThreads, setTotalConnections`

Methods inherited from interface com.collation.platform.model.topology.sys.Service
`getHost, getName, getPrimarySAP, getProductName, getProductVersion, getServiceAccessPoints, getSoftwareInstallation, getVendorName, hasHost, hasName, hasPrimarySAP, hasProductName, hasProductVersion, hasServiceAccessPoints, hasSoftwareInstallation, hasVendorName, setHost, setName, setPrimarySAP, setProductName, setProductVersion, setServiceAccessPoints, setSoftwareInstallation, setVendorName`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### setServiceXML

    void setServiceXML(java.lang.String serviceXML)

### getServiceXML

    java.lang.String getServiceXML()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasServiceXML

    boolean hasServiceXML()

### setRootDomain

    void setRootDomain(java.lang.String rootDomain)

### getRootDomain

    java.lang.String getRootDomain()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasRootDomain

    boolean hasRootDomain()

### setNamingContexts

    void setNamingContexts(NamingContext[] rootDomain)

  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Provides" reverse="false"

### getNamingContexts

    NamingContext[] getNamingContexts()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasNamingContexts

    boolean hasNamingContexts()

### setWorkingDirectory

    void setWorkingDirectory(java.lang.String workingDirectory)

### getWorkingDirectory

    java.lang.String getWorkingDirectory()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWorkingDirectory

    boolean hasWorkingDirectory()

### setSchemaVersion

    void setSchemaVersion(int schemaVersion)

### getSchemaVersion

    int getSchemaVersion()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasSchemaVersion

    boolean hasSchemaVersion()

### setMaxPoolThreads

    void setMaxPoolThreads(int maxPoolThreads)

### getMaxPoolThreads

    int getMaxPoolThreads()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxPoolThreads

    boolean hasMaxPoolThreads()

### setMaxDatagramRecv

    void setMaxDatagramRecv(int maxDatagramRecv)

### getMaxDatagramRecv

    int getMaxDatagramRecv()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxDatagramRecv

    boolean hasMaxDatagramRecv()

### setMaxReceiveBuffer

    void setMaxReceiveBuffer(int maxReceiveBuffer)

### getMaxReceiveBuffer

    int getMaxReceiveBuffer()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxReceiveBuffer

    boolean hasMaxReceiveBuffer()

### setInitRecvTimeout

    void setInitRecvTimeout(int initRecvTimeout)

### getInitRecvTimeout

    int getInitRecvTimeout()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasInitRecvTimeout

    boolean hasInitRecvTimeout()

### setMaxConnections

    void setMaxConnections(int maxConnections)

### getMaxConnections

    int getMaxConnections()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxConnections

    boolean hasMaxConnections()

### setMaxConnIdleTime

    void setMaxConnIdleTime(int maxConnIdleTime)

### getMaxConnIdleTime

    int getMaxConnIdleTime()
                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxConnIdleTime

    boolean hasMaxConnIdleTime()

### setMaxPageSize

    void setMaxPageSize(int maxPageSize)

### getMaxPageSize

    int getMaxPageSize()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxPageSize

    boolean hasMaxPageSize()

### setMaxQueryDuration

    void setMaxQueryDuration(int maxQueryDuration)

### getMaxQueryDuration

    int getMaxQueryDuration()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxQueryDuration

    boolean hasMaxQueryDuration()

### setMaxTempTableSize

    void setMaxTempTableSize(int maxTempTableSize)

### getMaxTempTableSize

    int getMaxTempTableSize()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxTempTableSize

    boolean hasMaxTempTableSize()

### setMaxResultSetSize

    void setMaxResultSetSize(int maxResultSetSize)

### getMaxResultSetSize

    int getMaxResultSetSize()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxResultSetSize

    boolean hasMaxResultSetSize()

### setMaxNotificationPerConn

    void setMaxNotificationPerConn(int maxNotificationPerConn)

### getMaxNotificationPerConn

    int getMaxNotificationPerConn()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxNotificationPerConn

    boolean hasMaxNotificationPerConn()

### setMaxValRange

    void setMaxValRange(int maxValRange)

### getMaxValRange

    int getMaxValRange()
                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasMaxValRange

    boolean hasMaxValRange()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD